#
# spec file for package ghc-stm-split
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name stm-split
Name:           ghc-%{pkg_name}
Version:        0.0.2
Release:        8.1
Summary:        TMVars, TVars and TChans with distinguished input and output side
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel

%description
Transactional MVars, Vars and Channels with distinguished input and output
side. When threads communicate via a TMVar, a TVar or a TChan there are often
clearly defined roles, which thread is the sender and which one is receiver.
We provide wrappers around the standard concurrency communication channels that
make the distinction clear and type safe.

For example, if a function has a parameter of type 'TChan.In' then it is sure
that it will only write to that channel. Additionally if the compiler warns
about an unused 'TChan.Out' that was created by 'TChan.new' then you know that
the receiver part of your communication is missing.

See also package 'concurrent-split' for non-transactional communication.
This package follows the same idea as 'chan-split' but is strictly Haskell 98.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Wed May 31 2017 psimons@suse.com
- Update to version 0.0.2.
* Wed Apr 19 2017 psimons@suse.com
- Update to version 0.0.1 with cabal2obs.
